<HTML>
<HEAD><TITLE>Lattice TRACE Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Par_Twr"></A><B><U><big>Place & Route TRACE Report</big></U></B>

Loading design for application trce from file gendecal_gen1.ncd.
Design name: TOP
NCD version: 3.3
Vendor:      LATTICE
Device:      LCMXO2-7000HE
Package:     TQFP144
Performance: 5
Loading device for application trce from file 'xo2c7000.nph' in environment: C:/lscc/diamond/3.12/ispfpga.
Package Status:                     Final          Version 1.39.
Performance Hardware Data Status:   Final          Version 34.4.
Setup and Hold Report

--------------------------------------------------------------------------------
<A name="Par_Twr_setup"></A><B><U><big>Lattice TRACE Report - Setup, Version Diamond (64-bit) 3.12.0.240.2</big></U></B>
Fri Oct 27 15:57:58 2023

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights reserved.

<A name="ptwr_set_ri"></A><B><U><big>Report Information</big></U></B>
------------------
Command line:    trce -v 10 -gt -sethld -sp 5 -sphld m -o GENDECAL_GEN1.twr -gui -msgset C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/promote.xml GENDECAL_GEN1.ncd GENDECAL_GEN1.prf 
Design file:     gendecal_gen1.ncd
Preference file: gendecal_gen1.prf
Device,speed:    LCMXO2-7000HE,5
Report level:    verbose report, limited to 10 items per preference
--------------------------------------------------------------------------------

<A name="ptwr_set_ps"></A><B><U><big>Preference Summary</big></U></B>

<LI><A href='#par_twr_pref_0_0' Target='right'>FREQUENCY NET "INT_CLK1" 2.080000 MHz (0 errors)</A></LI>            7 items scored, 0 timing errors detected.
Report:  388.500MHz is the maximum frequency for this preference.

BLOCK ASYNCPATHS
BLOCK RESETPATHS
--------------------------------------------------------------------------------



================================================================================
<A name="par_twr_pref_0_0"></A>Preference: FREQUENCY NET "INT_CLK1" 2.080000 MHz ;
            7 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------


Passed: The following path meets requirements by 478.195ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i1  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i1  (to INT_CLK1 +)

   Delay:               2.325ns  (37.2% logic, 62.8% route), 2 logic levels.

 Constraint Details:

      2.325ns physical path delay SLICE_0 to SLICE_0 meets
    480.769ns delay constraint less
      0.000ns skew and
      0.249ns LSR_SET requirement (totaling 480.520ns) by 478.195ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411    R14C18B.CLK to     R14C18B.Q0 SLICE_0 (from INT_CLK1)
ROUTE        10     0.872     R14C18B.Q0 to     R14C18B.A1 CPT[1]
CTOF_DEL    ---     0.454     R14C18B.A1 to     R14C18B.F1 SLICE_0
ROUTE         2     0.588     R14C18B.F1 to    R14C18B.LSR n3 (to INT_CLK1)
                  --------
                    2.325   (37.2% logic, 62.8% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 478.195ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i1  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i0  (to INT_CLK1 +)

   Delay:               2.325ns  (37.2% logic, 62.8% route), 2 logic levels.

 Constraint Details:

      2.325ns physical path delay SLICE_0 to SLICE_1 meets
    480.769ns delay constraint less
      0.000ns skew and
      0.249ns LSR_SET requirement (totaling 480.520ns) by 478.195ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411    R14C18B.CLK to     R14C18B.Q0 SLICE_0 (from INT_CLK1)
ROUTE        10     0.872     R14C18B.Q0 to     R14C18B.A1 CPT[1]
CTOF_DEL    ---     0.454     R14C18B.A1 to     R14C18B.F1 SLICE_0
ROUTE         2     0.588     R14C18B.F1 to    R14C18D.LSR n3 (to INT_CLK1)
                  --------
                    2.325   (37.2% logic, 62.8% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 478.499ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i0  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i1  (to INT_CLK1 +)

   Delay:               2.021ns  (42.8% logic, 57.2% route), 2 logic levels.

 Constraint Details:

      2.021ns physical path delay SLICE_1 to SLICE_0 meets
    480.769ns delay constraint less
      0.000ns skew and
      0.249ns LSR_SET requirement (totaling 480.520ns) by 478.499ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411    R14C18D.CLK to     R14C18D.Q0 SLICE_1 (from INT_CLK1)
ROUTE         3     0.568     R14C18D.Q0 to     R14C18B.D1 CPT_0
CTOF_DEL    ---     0.454     R14C18B.D1 to     R14C18B.F1 SLICE_0
ROUTE         2     0.588     R14C18B.F1 to    R14C18B.LSR n3 (to INT_CLK1)
                  --------
                    2.021   (42.8% logic, 57.2% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 478.499ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i0  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i0  (to INT_CLK1 +)

   Delay:               2.021ns  (42.8% logic, 57.2% route), 2 logic levels.

 Constraint Details:

      2.021ns physical path delay SLICE_1 to SLICE_1 meets
    480.769ns delay constraint less
      0.000ns skew and
      0.249ns LSR_SET requirement (totaling 480.520ns) by 478.499ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411    R14C18D.CLK to     R14C18D.Q0 SLICE_1 (from INT_CLK1)
ROUTE         3     0.568     R14C18D.Q0 to     R14C18B.D1 CPT_0
CTOF_DEL    ---     0.454     R14C18B.D1 to     R14C18B.F1 SLICE_0
ROUTE         2     0.588     R14C18B.F1 to    R14C18D.LSR n3 (to INT_CLK1)
                  --------
                    2.021   (42.8% logic, 57.2% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 479.158ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i1  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i1  (to INT_CLK1 +)

   Delay:               1.461ns  (59.2% logic, 40.8% route), 2 logic levels.

 Constraint Details:

      1.461ns physical path delay SLICE_0 to SLICE_0 meets
    480.769ns delay constraint less
      0.000ns skew and
      0.150ns DIN_SET requirement (totaling 480.619ns) by 479.158ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411    R14C18B.CLK to     R14C18B.Q0 SLICE_0 (from INT_CLK1)
ROUTE        10     0.596     R14C18B.Q0 to     R14C18B.A0 CPT[1]
CTOF_DEL    ---     0.454     R14C18B.A0 to     R14C18B.F0 SLICE_0
ROUTE         1     0.000     R14C18B.F0 to    R14C18B.DI0 n14 (to INT_CLK1)
                  --------
                    1.461   (59.2% logic, 40.8% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 479.164ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i0  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i0  (to INT_CLK1 +)

   Delay:               1.455ns  (59.5% logic, 40.5% route), 2 logic levels.

 Constraint Details:

      1.455ns physical path delay SLICE_1 to SLICE_1 meets
    480.769ns delay constraint less
      0.000ns skew and
      0.150ns DIN_SET requirement (totaling 480.619ns) by 479.164ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411    R14C18D.CLK to     R14C18D.Q0 SLICE_1 (from INT_CLK1)
ROUTE         3     0.590     R14C18D.Q0 to     R14C18D.A0 CPT_0
CTOF_DEL    ---     0.454     R14C18D.A0 to     R14C18D.F0 SLICE_1
ROUTE         1     0.000     R14C18D.F0 to    R14C18D.DI0 n15 (to INT_CLK1)
                  --------
                    1.455   (59.5% logic, 40.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 479.186ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i0  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i1  (to INT_CLK1 +)

   Delay:               1.433ns  (60.4% logic, 39.6% route), 2 logic levels.

 Constraint Details:

      1.433ns physical path delay SLICE_1 to SLICE_0 meets
    480.769ns delay constraint less
      0.000ns skew and
      0.150ns DIN_SET requirement (totaling 480.619ns) by 479.186ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.411    R14C18D.CLK to     R14C18D.Q0 SLICE_1 (from INT_CLK1)
ROUTE         3     0.568     R14C18D.Q0 to     R14C18B.D0 CPT_0
CTOF_DEL    ---     0.454     R14C18B.D0 to     R14C18B.F0 SLICE_0
ROUTE         1     0.000     R14C18B.F0 to    R14C18B.DI0 n14 (to INT_CLK1)
                  --------
                    1.433   (60.4% logic, 39.6% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     2.842        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    2.842   (0.0% logic, 100.0% route), 0 logic levels.

Report:  388.500MHz is the maximum frequency for this preference.

<A name="ptwr_set_rs"></A><B><U><big>Report Summary</big></U></B>
--------------
----------------------------------------------------------------------------
Preference                              |   Constraint|       Actual|Levels
----------------------------------------------------------------------------
                                        |             |             |
FREQUENCY NET "INT_CLK1" 2.080000 MHz ; |    2.080 MHz|  388.500 MHz|   2  
                                        |             |             |
----------------------------------------------------------------------------


All preferences were met.


<A name="ptwr_set_clkda"></A><B><U><big>Clock Domains Analysis</big></U></B>
------------------------

Found 2 clocks:

Clock Domain: INT_CLK1   Source: U1.OSC   Loads: 2
   Covered under: FREQUENCY NET "INT_CLK1" 2.080000 MHz ;

Clock Domain: CPT[1]   Source: SLICE_0.Q0   Loads: 10
   No transfer within this clock domain is found


<A name="ptwr_set_ts"></A><B><U><big>Timing summary (Setup):</big></U></B>
---------------

Timing errors: 0  Score: 0
Cumulative negative slack: 0

Constraints cover 7 paths, 1 nets, and 47 connections (92.16% coverage)

--------------------------------------------------------------------------------
<A name="Par_Twr_hold"></A><B><U><big>Lattice TRACE Report - Hold, Version Diamond (64-bit) 3.12.0.240.2</big></U></B>
Fri Oct 27 15:57:58 2023

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2020 Lattice Semiconductor Corporation,  All rights reserved.

<A name="ptwr_hold_ri"></A><B><U><big>Report Information</big></U></B>
------------------
Command line:    trce -v 10 -gt -sethld -sp 5 -sphld m -o GENDECAL_GEN1.twr -gui -msgset C:/Users/User.DESKTOP-9HJ28HQ/Documents/COURS/L2 GEII/S3/TEMP EER/Gen decalage/promote.xml GENDECAL_GEN1.ncd GENDECAL_GEN1.prf 
Design file:     gendecal_gen1.ncd
Preference file: gendecal_gen1.prf
Device,speed:    LCMXO2-7000HE,m
Report level:    verbose report, limited to 10 items per preference
--------------------------------------------------------------------------------

<A name="ptwr_hold_ps"></A><B><U><big>Preference Summary</big></U></B>

<LI><A href='#par_twr_pref_1_0' Target='right'>FREQUENCY NET "INT_CLK1" 2.080000 MHz (0 errors)</A></LI>            7 items scored, 0 timing errors detected.

BLOCK ASYNCPATHS
BLOCK RESETPATHS
--------------------------------------------------------------------------------



================================================================================
<A name="par_twr_pref_1_0"></A>Preference: FREQUENCY NET "INT_CLK1" 2.080000 MHz ;
            7 items scored, 0 timing errors detected.
--------------------------------------------------------------------------------


Passed: The following path meets requirements by 0.372ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i0  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i0  (to INT_CLK1 +)

   Delay:               0.359ns  (64.1% logic, 35.9% route), 2 logic levels.

 Constraint Details:

      0.359ns physical path delay SLICE_1 to SLICE_1 meets
     -0.013ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.013ns) by 0.372ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131    R14C18D.CLK to     R14C18D.Q0 SLICE_1 (from INT_CLK1)
ROUTE         3     0.129     R14C18D.Q0 to     R14C18D.A0 CPT_0
CTOF_DEL    ---     0.099     R14C18D.A0 to     R14C18D.F0 SLICE_1
ROUTE         1     0.000     R14C18D.F0 to    R14C18D.DI0 n15 (to INT_CLK1)
                  --------
                    0.359   (64.1% logic, 35.9% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.373ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i1  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i1  (to INT_CLK1 +)

   Delay:               0.360ns  (63.9% logic, 36.1% route), 2 logic levels.

 Constraint Details:

      0.360ns physical path delay SLICE_0 to SLICE_0 meets
     -0.013ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.013ns) by 0.373ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131    R14C18B.CLK to     R14C18B.Q0 SLICE_0 (from INT_CLK1)
ROUTE        10     0.130     R14C18B.Q0 to     R14C18B.A0 CPT[1]
CTOF_DEL    ---     0.099     R14C18B.A0 to     R14C18B.F0 SLICE_0
ROUTE         1     0.000     R14C18B.F0 to    R14C18B.DI0 n14 (to INT_CLK1)
                  --------
                    0.360   (63.9% logic, 36.1% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.380ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i0  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i1  (to INT_CLK1 +)

   Delay:               0.367ns  (62.7% logic, 37.3% route), 2 logic levels.

 Constraint Details:

      0.367ns physical path delay SLICE_1 to SLICE_0 meets
     -0.013ns DIN_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.013ns) by 0.380ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131    R14C18D.CLK to     R14C18D.Q0 SLICE_1 (from INT_CLK1)
ROUTE         3     0.137     R14C18D.Q0 to     R14C18B.D0 CPT_0
CTOF_DEL    ---     0.099     R14C18B.D0 to     R14C18B.F0 SLICE_0
ROUTE         1     0.000     R14C18B.F0 to    R14C18B.DI0 n14 (to INT_CLK1)
                  --------
                    0.367   (62.7% logic, 37.3% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.568ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i0  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i1  (to INT_CLK1 +)

   Delay:               0.512ns  (44.9% logic, 55.1% route), 2 logic levels.

 Constraint Details:

      0.512ns physical path delay SLICE_1 to SLICE_0 meets
     -0.056ns LSR_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.056ns) by 0.568ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131    R14C18D.CLK to     R14C18D.Q0 SLICE_1 (from INT_CLK1)
ROUTE         3     0.137     R14C18D.Q0 to     R14C18B.D1 CPT_0
CTOF_DEL    ---     0.099     R14C18B.D1 to     R14C18B.F1 SLICE_0
ROUTE         2     0.145     R14C18B.F1 to    R14C18B.LSR n3 (to INT_CLK1)
                  --------
                    0.512   (44.9% logic, 55.1% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.568ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i0  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i0  (to INT_CLK1 +)

   Delay:               0.512ns  (44.9% logic, 55.1% route), 2 logic levels.

 Constraint Details:

      0.512ns physical path delay SLICE_1 to SLICE_1 meets
     -0.056ns LSR_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.056ns) by 0.568ns

 Physical Path Details:

      Data path SLICE_1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131    R14C18D.CLK to     R14C18D.Q0 SLICE_1 (from INT_CLK1)
ROUTE         3     0.137     R14C18D.Q0 to     R14C18B.D1 CPT_0
CTOF_DEL    ---     0.099     R14C18B.D1 to     R14C18B.F1 SLICE_0
ROUTE         2     0.145     R14C18B.F1 to    R14C18D.LSR n3 (to INT_CLK1)
                  --------
                    0.512   (44.9% logic, 55.1% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.639ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i1  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i1  (to INT_CLK1 +)

   Delay:               0.583ns  (39.5% logic, 60.5% route), 2 logic levels.

 Constraint Details:

      0.583ns physical path delay SLICE_0 to SLICE_0 meets
     -0.056ns LSR_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.056ns) by 0.639ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131    R14C18B.CLK to     R14C18B.Q0 SLICE_0 (from INT_CLK1)
ROUTE        10     0.208     R14C18B.Q0 to     R14C18B.A1 CPT[1]
CTOF_DEL    ---     0.099     R14C18B.A1 to     R14C18B.F1 SLICE_0
ROUTE         2     0.145     R14C18B.F1 to    R14C18B.LSR n3 (to INT_CLK1)
                  --------
                    0.583   (39.5% logic, 60.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.


Passed: The following path meets requirements by 0.639ns

 Logical Details:  Cell type  Pin type       Cell/ASIC name  (clock net +/-)

   Source:         FF         Q              CPT_19__i1  (from INT_CLK1 +)
   Destination:    FF         Data in        CPT_19__i0  (to INT_CLK1 +)

   Delay:               0.583ns  (39.5% logic, 60.5% route), 2 logic levels.

 Constraint Details:

      0.583ns physical path delay SLICE_0 to SLICE_1 meets
     -0.056ns LSR_HLD and
      0.000ns delay constraint less
      0.000ns skew requirement (totaling -0.056ns) by 0.639ns

 Physical Path Details:

      Data path SLICE_0 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
REG_DEL     ---     0.131    R14C18B.CLK to     R14C18B.Q0 SLICE_0 (from INT_CLK1)
ROUTE        10     0.208     R14C18B.Q0 to     R14C18B.A1 CPT[1]
CTOF_DEL    ---     0.099     R14C18B.A1 to     R14C18B.F1 SLICE_0
ROUTE         2     0.145     R14C18B.F1 to    R14C18D.LSR n3 (to INT_CLK1)
                  --------
                    0.583   (39.5% logic, 60.5% route), 2 logic levels.

 Clock Skew Details: 

      Source Clock Path U1 to SLICE_0:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18B.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.

      Destination Clock Path U1 to SLICE_1:

   Name    Fanout   Delay (ns)          Site               Resource
ROUTE         2     0.986        OSC.OSC to    R14C18D.CLK INT_CLK1
                  --------
                    0.986   (0.0% logic, 100.0% route), 0 logic levels.

<A name="ptwr_hold_rs"></A><B><U><big>Report Summary</big></U></B>
--------------
----------------------------------------------------------------------------
Preference(MIN Delays)                  |   Constraint|       Actual|Levels
----------------------------------------------------------------------------
                                        |             |             |
FREQUENCY NET "INT_CLK1" 2.080000 MHz ; |     0.000 ns|     0.372 ns|   2  
                                        |             |             |
----------------------------------------------------------------------------


All preferences were met.


<A name="ptwr_hold_clkda"></A><B><U><big>Clock Domains Analysis</big></U></B>
------------------------

Found 2 clocks:

Clock Domain: INT_CLK1   Source: U1.OSC   Loads: 2
   Covered under: FREQUENCY NET "INT_CLK1" 2.080000 MHz ;

Clock Domain: CPT[1]   Source: SLICE_0.Q0   Loads: 10
   No transfer within this clock domain is found


<A name="ptwr_hold_ts"></A><B><U><big>Timing summary (Hold):</big></U></B>
---------------

Timing errors: 0  Score: 0
Cumulative negative slack: 0

Constraints cover 7 paths, 1 nets, and 47 connections (92.16% coverage)



<A name="ptwr_ts"></A><B><U><big>Timing summary (Setup and Hold):</big></U></B>
---------------

Timing errors: 0 (setup), 0 (hold)
Score: 0 (setup), 0 (hold)
Cumulative negative slack: 0 (0+0)
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------




<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
